<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.commobject="http://www.eclipse.org/papyrus/robotics/commobject/1" xmlns:robotics.services="http://www.eclipse.org/papyrus/robotics/services/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/commobject/1 http://www.eclipse.org/papyrus/robotics/1#//commobject http://www.eclipse.org/papyrus/robotics/services/1 http://www.eclipse.org/papyrus/robotics/1#//services">
  <uml:Model xmi:id="ID" name="unique_identifier_msgs">
    <packageImport xmi:id="_FG51kYfCEeq98Oq_0FOmvA">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:id="_FG51kofCEeq98Oq_0FOmvA">
      <importedPackage xmi:type="uml:Model" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_LaOOAJcvEeeV0-Lu2yLOjA"/>
    </packageImport>
    <packagedElement xmi:type="uml:Package" xmi:id="_FG51k4fCEeq98Oq_0FOmvA" name="svcdefs">
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_UUID" name="P_UUID">
        <templateBinding xmi:id="_UaIvEofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_UaIvE4fCEeq98Oq_0FOmvA" actual="ID_msg_UUID">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="ID_msg" name="msg">
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_UUID" name="UUID">
        <ownedAttribute xmi:id="_UZkuYIfCEeq98Oq_0FOmvA" name="uuid">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_UZkuYYfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_UZkuYofCEeq98Oq_0FOmvA" value="16"/>
        </ownedAttribute>
      </packagedElement>
    </packagedElement>
    <profileApplication xmi:id="_FG51lIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_FG51lYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_FG51lofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_FG51l4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_FG51mIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_FG51mYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_FG51mofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_FG51m4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_FG51nIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_FG51nYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_FG51nofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_FG51n4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_FG51oIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_FG51oYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:id="_FG51oofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_FG51o4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:id="_FG51pIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_FG51pYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:id="_FG51pofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_FG51p4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
    <profileApplication xmi:id="_FG51qIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_FG51qYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Foundations/NFPs"/>
      </eAnnotations>
      <appliedProfile href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_U_GAoAPMEdyuUt-4qHuVvQ"/>
    </profileApplication>
    <profileApplication xmi:id="_FG51qofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_FG51q4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Annexes/VSL/DataTypes"/>
      </eAnnotations>
      <appliedProfile href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_9FdqwA-MEdyLh7muGbCqMw"/>
    </profileApplication>
  </uml:Model>
  <robotics.services:ServiceDefinitionModel xmi:id="_FG51rIfCEeq98Oq_0FOmvA" base_Package="ID"/>
  <robotics.commobject:CommunicationObject xmi:id="_FJIDIIfCEeq98Oq_0FOmvA" base_DataType="ID_msg_UUID"/>
  <robotics.services:ServiceDefinition xmi:id="_UaJ9MIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_UUID"/>
</xmi:XMI>
